GCLOUD_IAM_SERVICE-ACCOUNTS_LIST(1)

NAME

gcloud iam service-accounts list - list all of a project's service accounts

SYNOPSIS

gcloud iam service-accounts list [--filter EXPRESSION] [--flatten [KEY,...]] [--limit LIMIT] [--sort-by FIELDS] [GLOBAL-FLAG ...]

DESCRIPTION
List all of a project's service accounts.

LIST COMMAND FLAGS
--filter EXPRESSION
    Apply a Boolean filter EXPRESSION to each resource item to be listed. If the expression evaluates True then that item is listed. For more details run $ gcloud topic filters. If --limit is also specified then it is applied after --filter.
--flatten [KEY,...]
    Flatten name[] resource slices in KEY to separate records for each item in each slice. Multiple keys and slices may be specified. This also flattens keys for --format and --filter. For example, --flatten=abc.def[] flattens abc.def[].ghi references to abc.def.ghi.
--limit LIMIT
    The maximum number of resources to list. The default is unlimited. If --filter is also specified then it is applied before --limit.
--sort-by FIELDS
    A comma-separated list of resource field key names to sort by. The default order is ascending. Prefix a field with ``~'' for descending order on that field.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.